Delete License Key
Added in v1.0
DELETE
https://api.example.com/api/keys/{id}
Requires authentication:
x-api-key: YOUR_API_KEY
Deletes the desired license key and its logs. Returns the last license object before deletion.
Path parameters
-
keyinteger requiredThe license key to delete as presented on the website.
Responses
- 200OK
- 400Not Found
Request
curl -X DELETE 'https://api.example.com/api/keys/{id}' \
-H 'x-api-key: YOUR_API_KEY'
const response = await fetch('https://api.example.com/api/keys/{id}', {
method: 'DELETE',
headers: {
'x-api-key': 'YOUR_API_KEY',
},
});
const data = await response.json();
console.log(data);
import requests
response = requests.delete(
"https://api.example.com/api/keys/{id}",
headers={
"x-api-key": "YOUR_API_KEY",
},
)
print(response.json())
<?php
$ch = curl_init('https://api.example.com/api/keys/{id}');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'DELETE',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'x-api-key: YOUR_API_KEY',
],
]);
$response = json_decode(curl_exec($ch), true);
curl_close($ch);
print_r($response);
Response
OK
{
"id": 1,
"uuid": "123",
"product": 456,
"key": "0190a5f3-7c1e-7b2a-9d4e-3f8a6c1b2d90",
"ip": "203.0.113.10",
"status": true,
"disabled": false,
"locked": true,
"lastSeen": 1790000000000
}
Not Found
{
"msg": "The specified license key was not found."
}